gnutls_record_uncork(3)

NAME
gnutls_record_uncork - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_record_uncork(gnutls_session_t session, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int flags
    Could be zero or GNUTLS_RECORD_WAIT

DESCRIPTION
This resets the effect of gnutls_cork(), and flushes any pending data. If the GNUTLS_RECORD_WAIT flag is specified then this function will block until the data is sent or a fatal error occurs (i.e., the function will retry on GNUTLS_E_AGAIN and GNUTLS_E_INTERRUPTED).

RETURNS
On success the number of transmitted data is returned, or otherwise a negative error code.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/